gtkglextmm: Gtk::GL::Widget< T_GtkWidget > Class Template Reference

Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Examples

# Gtk::GL::Widget< T_GtkWidget > Class Template Reference

`#include <widget.h>`

List of all members.

## Public Member Functions
virtual | ~Widget ()=0
bool | set_gl_capability (const Glib::RefPtr< const Gdk::GL::Config > &glconfig, const Glib::RefPtr< const Gdk::GL::Context > &share_list, bool direct=true, int render_type=Gdk::GL::RGBA_TYPE)
bool | set_gl_capability (const Glib::RefPtr< const Gdk::GL::Config > &glconfig, bool direct=true, int render_type=Gdk::GL::RGBA_TYPE)
bool | is_gl_capable () const
Glib::RefPtr< Gdk::GL::Config > | get_gl_config ()
Glib::RefPtr< const Gdk::GL::Config > | get_gl_config () const
Glib::RefPtr< Gdk::GL::Context > | create_gl_context (const Glib::RefPtr< const Gdk::GL::Context > &share_list, bool direct=true, int render_type=Gdk::GL::RGBA_TYPE)
Glib::RefPtr< Gdk::GL::Context > | create_gl_context (bool direct=true, int render_type=Gdk::GL::RGBA_TYPE)
Glib::RefPtr< Gdk::GL::Context > | get_gl_context ()
Glib::RefPtr< Gdk::GL::Window > | get_gl_window ()
Glib::RefPtr< const Gdk::GL::Window > | get_gl_window () const
Glib::RefPtr< Gdk::GL::Drawable > | get_gl_drawable ()
Glib::RefPtr< const Gdk::GL::Drawable > | get_gl_drawable () const

## Detailed Description

### template<class T_GtkWidget>
class Gtk::GL::Widget< T_GtkWidget >

OpenGL extension API to Gtk::Widget.

## Constructor & Destructor Documentation

template<class T_GtkWidget>
Gtk::GL::Widget< T_GtkWidget >::~Widget | ( |  | ) | `[pure virtual]`

## Member Function Documentation

template<class T_GtkWidget>
Glib::RefPtr<Gdk::GL::Context> Gtk::GL::Widget< T_GtkWidget >::create_gl_context | ( | bool | direct = `true`,
|  | int | render_type = `Gdk::GL::RGBA_TYPE`
| ) | `[inline]`

  | Create a new Gdk::GL::Context with the appropriate Gdk::GL::Drawable for this widget. See also get_gl_context(). Parameters:
  | direct | whether rendering is to be done with a direct connection to the graphics system.
  | render_type | Gdk::GL::RGBA_TYPE or Gdk::GL::COLOR_INDEX_TYPE (currently not used).
Returns: the new Gdk::GL::Context.

template<class T_GtkWidget>
Glib::RefPtr<Gdk::GL::Context> Gtk::GL::Widget< T_GtkWidget >::create_gl_context | ( | const Glib::RefPtr< const Gdk::GL::Context > & | share_list,
|  | bool | direct = `true`,
|  | int | render_type = `Gdk::GL::RGBA_TYPE`
| ) | `[inline]`

  | Create a new Gdk::GL::Context with the appropriate Gdk::GL::Drawable for this widget. See also get_gl_context(). Parameters:
  | share_list | the Gdk::GL::Context which to share display lists.
  | direct | whether rendering is to be done with a direct connection to the graphics system.
  | render_type | Gdk::GL::RGBA_TYPE or Gdk::GL::COLOR_INDEX_TYPE (currently not used).
Returns: the new Gdk::GL::Context.

template<class T_GtkWidget>
Glib::RefPtr<const Gdk::GL::Config> Gtk::GL::Widget< T_GtkWidget >::get_gl_config | ( |  | ) | const`[inline]`

| Return the Gdk::GL::Config referred by the Gtk::Widget. Returns: the Gdk::GL::Config.

template<class T_GtkWidget>
Glib::RefPtr<Gdk::GL::Config> Gtk::GL::Widget< T_GtkWidget >::get_gl_config | ( |  | ) | `[inline]`

| Return the Gdk::GL::Config referred by the Gtk::Widget. Returns: the Gdk::GL::Config.

template<class T_GtkWidget>
Glib::RefPtr<Gdk::GL::Context> Gtk::GL::Widget< T_GtkWidget >::get_gl_context | ( |  | ) | `[inline]`

| Return the Gdk::GL::Context with the appropriate Gdk::GL::Drawable for this widget. Unlike the GL context returned by create_gl_context(), this context is owned by the widget. Returns: the Gdk::GL::Context.

template<class T_GtkWidget>
Glib::RefPtr<const Gdk::GL::Drawable> Gtk::GL::Widget< T_GtkWidget >::get_gl_drawable | ( |  | ) | const`[inline]`

| Return the Gdk::GL::Drawable owned by the Gtk::Widget. Returns: the Gdk::GL::Drawable.

template<class T_GtkWidget>
Glib::RefPtr<Gdk::GL::Drawable> Gtk::GL::Widget< T_GtkWidget >::get_gl_drawable | ( |  | ) | `[inline]`

| Return the Gdk::GL::Drawable owned by the Gtk::Widget. Returns: the Gdk::GL::Drawable.

template<class T_GtkWidget>
Glib::RefPtr<const Gdk::GL::Window> Gtk::GL::Widget< T_GtkWidget >::get_gl_window | ( |  | ) | const`[inline]`

| Return the Gdk::GL::Window owned by the Gtk::Widget. Returns: the Gdk::GL::Window.

template<class T_GtkWidget>
Glib::RefPtr<Gdk::GL::Window> Gtk::GL::Widget< T_GtkWidget >::get_gl_window | ( |  | ) | `[inline]`

| Return the Gdk::GL::Window owned by the Gtk::Widget. Returns: the Gdk::GL::Window.

template<class T_GtkWidget>
bool Gtk::GL::Widget< T_GtkWidget >::is_gl_capable | ( |  | ) | const`[inline]`

| Return whether the Gtk::Widget is OpenGL-capable. Returns: `true` if the Gtk::Widget is OpenGL-capable, `false` otherwise.

template<class T_GtkWidget>
bool Gtk::GL::Widget< T_GtkWidget >::set_gl_capability | ( | const Glib::RefPtr< const Gdk::GL::Config > & | glconfig,
|  | bool | direct = `true`,
|  | int | render_type = `Gdk::GL::RGBA_TYPE`
| ) | `[inline]`

  | Set the OpenGL-capability to the Gtk::Widget. The call setup the callbacks to realize a OpenGL-capable window. Parameters:
  | glconfig | a Gdk::GL::Config.
  | direct | whether rendering is to be done with a direct connection to the graphics system.
  | render_type | Gdk::GL::RGBA_TYPE or Gdk::GL::COLOR_INDEX_TYPE (currently not used).
Returns: `true` if it is successful, `false` otherwise.

template<class T_GtkWidget>
bool Gtk::GL::Widget< T_GtkWidget >::set_gl_capability | ( | const Glib::RefPtr< const Gdk::GL::Config > & | glconfig,
|  | const Glib::RefPtr< const Gdk::GL::Context > & | share_list,
|  | bool | direct = `true`,
|  | int | render_type = `Gdk::GL::RGBA_TYPE`
| ) | `[inline]`

  | Set the OpenGL-capability to the Gtk::Widget. The call setup the callbacks to realize a OpenGL-capable window. Parameters:
  | glconfig | a Gdk::GL::Config.
  | share_list | the Gdk::GL::Context which to share display lists.
  | direct | whether rendering is to be done with a direct connection to the graphics system.
  | render_type | Gdk::GL::RGBA_TYPE or Gdk::GL::COLOR_INDEX_TYPE (currently not used).
Returns: `true` if it is successful, `false` otherwise.

The documentation for this class was generated from the following file:

- gtkmm/gl/widget.h